// Code generated by protoc-gen-go. DO NOT EDIT.
// source: proto/payment.proto

package proto

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type PaymentMethod int32

const (
	PaymentMethod_cash PaymentMethod = 0
	PaymentMethod_card PaymentMethod = 1
)

var PaymentMethod_name = map[int32]string{
	0: "cash",
	1: "card",
}

var PaymentMethod_value = map[string]int32{
	"cash": 0,
	"card": 1,
}

func (x PaymentMethod) String() string {
	return proto.EnumName(PaymentMethod_name, int32(x))
}

func (PaymentMethod) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_8f344320e94f1899, []int{0}
}

type CardType int32

const (
	CardType_visa       CardType = 0
	CardType_mastercard CardType = 1
)

var CardType_name = map[int32]string{
	0: "visa",
	1: "mastercard",
}

var CardType_value = map[string]int32{
	"visa":       0,
	"mastercard": 1,
}

func (x CardType) String() string {
	return proto.EnumName(CardType_name, int32(x))
}

func (CardType) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_8f344320e94f1899, []int{1}
}

type PaymentOption struct {
	Method               PaymentMethod `protobuf:"varint,1,opt,name=method,proto3,enum=com.connectroutes.payment.PaymentMethod" json:"method,omitempty"`
	Id                   string        `protobuf:"bytes,2,opt,name=id,proto3" json:"id,omitempty"`
	CardType             CardType      `protobuf:"varint,3,opt,name=cardType,proto3,enum=com.connectroutes.payment.CardType" json:"cardType,omitempty"`
	CardLast4            string        `protobuf:"bytes,4,opt,name=cardLast4,proto3" json:"cardLast4,omitempty"`
	Bin                  string        `protobuf:"bytes,5,opt,name=bin,proto3" json:"bin,omitempty"`
	ExpiryMonth          string        `protobuf:"bytes,6,opt,name=expiryMonth,proto3" json:"expiryMonth,omitempty"`
	ExpiryYear           string        `protobuf:"bytes,7,opt,name=expiryYear,proto3" json:"expiryYear,omitempty"`
	LastUsed             int64         `protobuf:"varint,8,opt,name=lastUsed,proto3" json:"lastUsed,omitempty"`
	XXX_NoUnkeyedLiteral struct{}      `json:"-"`
	XXX_unrecognized     []byte        `json:"-"`
	XXX_sizecache        int32         `json:"-"`
}

func (m *PaymentOption) Reset()         { *m = PaymentOption{} }
func (m *PaymentOption) String() string { return proto.CompactTextString(m) }
func (*PaymentOption) ProtoMessage()    {}
func (*PaymentOption) Descriptor() ([]byte, []int) {
	return fileDescriptor_8f344320e94f1899, []int{0}
}

func (m *PaymentOption) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_PaymentOption.Unmarshal(m, b)
}
func (m *PaymentOption) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_PaymentOption.Marshal(b, m, deterministic)
}
func (m *PaymentOption) XXX_Merge(src proto.Message) {
	xxx_messageInfo_PaymentOption.Merge(m, src)
}
func (m *PaymentOption) XXX_Size() int {
	return xxx_messageInfo_PaymentOption.Size(m)
}
func (m *PaymentOption) XXX_DiscardUnknown() {
	xxx_messageInfo_PaymentOption.DiscardUnknown(m)
}

var xxx_messageInfo_PaymentOption proto.InternalMessageInfo

func (m *PaymentOption) GetMethod() PaymentMethod {
	if m != nil {
		return m.Method
	}
	return PaymentMethod_cash
}

func (m *PaymentOption) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *PaymentOption) GetCardType() CardType {
	if m != nil {
		return m.CardType
	}
	return CardType_visa
}

func (m *PaymentOption) GetCardLast4() string {
	if m != nil {
		return m.CardLast4
	}
	return ""
}

func (m *PaymentOption) GetBin() string {
	if m != nil {
		return m.Bin
	}
	return ""
}

func (m *PaymentOption) GetExpiryMonth() string {
	if m != nil {
		return m.ExpiryMonth
	}
	return ""
}

func (m *PaymentOption) GetExpiryYear() string {
	if m != nil {
		return m.ExpiryYear
	}
	return ""
}

func (m *PaymentOption) GetLastUsed() int64 {
	if m != nil {
		return m.LastUsed
	}
	return 0
}

type GetPaymentOptionsRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetPaymentOptionsRequest) Reset()         { *m = GetPaymentOptionsRequest{} }
func (m *GetPaymentOptionsRequest) String() string { return proto.CompactTextString(m) }
func (*GetPaymentOptionsRequest) ProtoMessage()    {}
func (*GetPaymentOptionsRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_8f344320e94f1899, []int{1}
}

func (m *GetPaymentOptionsRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetPaymentOptionsRequest.Unmarshal(m, b)
}
func (m *GetPaymentOptionsRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetPaymentOptionsRequest.Marshal(b, m, deterministic)
}
func (m *GetPaymentOptionsRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetPaymentOptionsRequest.Merge(m, src)
}
func (m *GetPaymentOptionsRequest) XXX_Size() int {
	return xxx_messageInfo_GetPaymentOptionsRequest.Size(m)
}
func (m *GetPaymentOptionsRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetPaymentOptionsRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetPaymentOptionsRequest proto.InternalMessageInfo

type GetPaymentOptionsResponse struct {
	Options              []*PaymentOption `protobuf:"bytes,1,rep,name=options,proto3" json:"options,omitempty"`
	XXX_NoUnkeyedLiteral struct{}         `json:"-"`
	XXX_unrecognized     []byte           `json:"-"`
	XXX_sizecache        int32            `json:"-"`
}

func (m *GetPaymentOptionsResponse) Reset()         { *m = GetPaymentOptionsResponse{} }
func (m *GetPaymentOptionsResponse) String() string { return proto.CompactTextString(m) }
func (*GetPaymentOptionsResponse) ProtoMessage()    {}
func (*GetPaymentOptionsResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_8f344320e94f1899, []int{2}
}

func (m *GetPaymentOptionsResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetPaymentOptionsResponse.Unmarshal(m, b)
}
func (m *GetPaymentOptionsResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetPaymentOptionsResponse.Marshal(b, m, deterministic)
}
func (m *GetPaymentOptionsResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetPaymentOptionsResponse.Merge(m, src)
}
func (m *GetPaymentOptionsResponse) XXX_Size() int {
	return xxx_messageInfo_GetPaymentOptionsResponse.Size(m)
}
func (m *GetPaymentOptionsResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_GetPaymentOptionsResponse.DiscardUnknown(m)
}

var xxx_messageInfo_GetPaymentOptionsResponse proto.InternalMessageInfo

func (m *GetPaymentOptionsResponse) GetOptions() []*PaymentOption {
	if m != nil {
		return m.Options
	}
	return nil
}

type AddCardRequest struct {
	CardNo               string   `protobuf:"bytes,1,opt,name=cardNo,proto3" json:"cardNo,omitempty"`
	CardExpiryMonth      string   `protobuf:"bytes,2,opt,name=cardExpiryMonth,proto3" json:"cardExpiryMonth,omitempty"`
	CardExpiryYear       string   `protobuf:"bytes,3,opt,name=cardExpiryYear,proto3" json:"cardExpiryYear,omitempty"`
	CardCvv              string   `protobuf:"bytes,4,opt,name=cardCvv,proto3" json:"cardCvv,omitempty"`
	CardPin              string   `protobuf:"bytes,5,opt,name=cardPin,proto3" json:"cardPin,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *AddCardRequest) Reset()         { *m = AddCardRequest{} }
func (m *AddCardRequest) String() string { return proto.CompactTextString(m) }
func (*AddCardRequest) ProtoMessage()    {}
func (*AddCardRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_8f344320e94f1899, []int{3}
}

func (m *AddCardRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_AddCardRequest.Unmarshal(m, b)
}
func (m *AddCardRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_AddCardRequest.Marshal(b, m, deterministic)
}
func (m *AddCardRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_AddCardRequest.Merge(m, src)
}
func (m *AddCardRequest) XXX_Size() int {
	return xxx_messageInfo_AddCardRequest.Size(m)
}
func (m *AddCardRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_AddCardRequest.DiscardUnknown(m)
}

var xxx_messageInfo_AddCardRequest proto.InternalMessageInfo

func (m *AddCardRequest) GetCardNo() string {
	if m != nil {
		return m.CardNo
	}
	return ""
}

func (m *AddCardRequest) GetCardExpiryMonth() string {
	if m != nil {
		return m.CardExpiryMonth
	}
	return ""
}

func (m *AddCardRequest) GetCardExpiryYear() string {
	if m != nil {
		return m.CardExpiryYear
	}
	return ""
}

func (m *AddCardRequest) GetCardCvv() string {
	if m != nil {
		return m.CardCvv
	}
	return ""
}

func (m *AddCardRequest) GetCardPin() string {
	if m != nil {
		return m.CardPin
	}
	return ""
}

type AddCardResponse struct {
	Message              string         `protobuf:"bytes,1,opt,name=message,proto3" json:"message,omitempty"`
	Action               string         `protobuf:"bytes,2,opt,name=action,proto3" json:"action,omitempty"`
	ActionUrl            string         `protobuf:"bytes,3,opt,name=action_url,json=actionUrl,proto3" json:"action_url,omitempty"`
	Reference            string         `protobuf:"bytes,4,opt,name=reference,proto3" json:"reference,omitempty"`
	Card                 *PaymentOption `protobuf:"bytes,5,opt,name=card,proto3" json:"card,omitempty"`
	XXX_NoUnkeyedLiteral struct{}       `json:"-"`
	XXX_unrecognized     []byte         `json:"-"`
	XXX_sizecache        int32          `json:"-"`
}

func (m *AddCardResponse) Reset()         { *m = AddCardResponse{} }
func (m *AddCardResponse) String() string { return proto.CompactTextString(m) }
func (*AddCardResponse) ProtoMessage()    {}
func (*AddCardResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_8f344320e94f1899, []int{4}
}

func (m *AddCardResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_AddCardResponse.Unmarshal(m, b)
}
func (m *AddCardResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_AddCardResponse.Marshal(b, m, deterministic)
}
func (m *AddCardResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_AddCardResponse.Merge(m, src)
}
func (m *AddCardResponse) XXX_Size() int {
	return xxx_messageInfo_AddCardResponse.Size(m)
}
func (m *AddCardResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_AddCardResponse.DiscardUnknown(m)
}

var xxx_messageInfo_AddCardResponse proto.InternalMessageInfo

func (m *AddCardResponse) GetMessage() string {
	if m != nil {
		return m.Message
	}
	return ""
}

func (m *AddCardResponse) GetAction() string {
	if m != nil {
		return m.Action
	}
	return ""
}

func (m *AddCardResponse) GetActionUrl() string {
	if m != nil {
		return m.ActionUrl
	}
	return ""
}

func (m *AddCardResponse) GetReference() string {
	if m != nil {
		return m.Reference
	}
	return ""
}

func (m *AddCardResponse) GetCard() *PaymentOption {
	if m != nil {
		return m.Card
	}
	return nil
}

type SubmitCardAuthorizationRequest struct {
	Action               string   `protobuf:"bytes,1,opt,name=action,proto3" json:"action,omitempty"`
	Value                string   `protobuf:"bytes,2,opt,name=value,proto3" json:"value,omitempty"`
	Reference            string   `protobuf:"bytes,3,opt,name=reference,proto3" json:"reference,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SubmitCardAuthorizationRequest) Reset()         { *m = SubmitCardAuthorizationRequest{} }
func (m *SubmitCardAuthorizationRequest) String() string { return proto.CompactTextString(m) }
func (*SubmitCardAuthorizationRequest) ProtoMessage()    {}
func (*SubmitCardAuthorizationRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_8f344320e94f1899, []int{5}
}

func (m *SubmitCardAuthorizationRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SubmitCardAuthorizationRequest.Unmarshal(m, b)
}
func (m *SubmitCardAuthorizationRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SubmitCardAuthorizationRequest.Marshal(b, m, deterministic)
}
func (m *SubmitCardAuthorizationRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SubmitCardAuthorizationRequest.Merge(m, src)
}
func (m *SubmitCardAuthorizationRequest) XXX_Size() int {
	return xxx_messageInfo_SubmitCardAuthorizationRequest.Size(m)
}
func (m *SubmitCardAuthorizationRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_SubmitCardAuthorizationRequest.DiscardUnknown(m)
}

var xxx_messageInfo_SubmitCardAuthorizationRequest proto.InternalMessageInfo

func (m *SubmitCardAuthorizationRequest) GetAction() string {
	if m != nil {
		return m.Action
	}
	return ""
}

func (m *SubmitCardAuthorizationRequest) GetValue() string {
	if m != nil {
		return m.Value
	}
	return ""
}

func (m *SubmitCardAuthorizationRequest) GetReference() string {
	if m != nil {
		return m.Reference
	}
	return ""
}

type AddCardByReferenceRequest struct {
	Reference            string   `protobuf:"bytes,1,opt,name=reference,proto3" json:"reference,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *AddCardByReferenceRequest) Reset()         { *m = AddCardByReferenceRequest{} }
func (m *AddCardByReferenceRequest) String() string { return proto.CompactTextString(m) }
func (*AddCardByReferenceRequest) ProtoMessage()    {}
func (*AddCardByReferenceRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_8f344320e94f1899, []int{6}
}

func (m *AddCardByReferenceRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_AddCardByReferenceRequest.Unmarshal(m, b)
}
func (m *AddCardByReferenceRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_AddCardByReferenceRequest.Marshal(b, m, deterministic)
}
func (m *AddCardByReferenceRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_AddCardByReferenceRequest.Merge(m, src)
}
func (m *AddCardByReferenceRequest) XXX_Size() int {
	return xxx_messageInfo_AddCardByReferenceRequest.Size(m)
}
func (m *AddCardByReferenceRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_AddCardByReferenceRequest.DiscardUnknown(m)
}

var xxx_messageInfo_AddCardByReferenceRequest proto.InternalMessageInfo

func (m *AddCardByReferenceRequest) GetReference() string {
	if m != nil {
		return m.Reference
	}
	return ""
}

func init() {
	proto.RegisterEnum("com.connectroutes.payment.PaymentMethod", PaymentMethod_name, PaymentMethod_value)
	proto.RegisterEnum("com.connectroutes.payment.CardType", CardType_name, CardType_value)
	proto.RegisterType((*PaymentOption)(nil), "com.connectroutes.payment.PaymentOption")
	proto.RegisterType((*GetPaymentOptionsRequest)(nil), "com.connectroutes.payment.GetPaymentOptionsRequest")
	proto.RegisterType((*GetPaymentOptionsResponse)(nil), "com.connectroutes.payment.GetPaymentOptionsResponse")
	proto.RegisterType((*AddCardRequest)(nil), "com.connectroutes.payment.AddCardRequest")
	proto.RegisterType((*AddCardResponse)(nil), "com.connectroutes.payment.AddCardResponse")
	proto.RegisterType((*SubmitCardAuthorizationRequest)(nil), "com.connectroutes.payment.SubmitCardAuthorizationRequest")
	proto.RegisterType((*AddCardByReferenceRequest)(nil), "com.connectroutes.payment.AddCardByReferenceRequest")
}

func init() { proto.RegisterFile("proto/payment.proto", fileDescriptor_8f344320e94f1899) }

var fileDescriptor_8f344320e94f1899 = []byte{
	// 608 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x94, 0x55, 0xcd, 0x6e, 0xd3, 0x40,
	0x10, 0xee, 0xc6, 0x6d, 0x7e, 0xa6, 0x22, 0x0d, 0x03, 0x82, 0x6d, 0x04, 0x55, 0xe4, 0x22, 0x14,
	0x7a, 0x08, 0x52, 0xdb, 0x4b, 0x25, 0x24, 0x68, 0x2b, 0xc4, 0x85, 0x42, 0xe5, 0xd2, 0x03, 0x5c,
	0x2a, 0xc7, 0x5e, 0x88, 0xa5, 0xc4, 0x6b, 0x76, 0xd7, 0x51, 0xc3, 0x09, 0xf1, 0x40, 0x88, 0x27,
	0xe0, 0xb1, 0x38, 0xa3, 0xfd, 0xb1, 0xdb, 0xa4, 0x24, 0x34, 0xa7, 0xcc, 0x7c, 0x9e, 0x99, 0xfd,
	0xe6, 0x9b, 0x19, 0x05, 0xee, 0x65, 0x82, 0x2b, 0xfe, 0x3c, 0x0b, 0x27, 0x23, 0x96, 0xaa, 0x9e,
	0xf1, 0x70, 0x33, 0xe2, 0xa3, 0x5e, 0xc4, 0xd3, 0x94, 0x45, 0x4a, 0xf0, 0x5c, 0x31, 0xd9, 0x73,
	0x01, 0xfe, 0xaf, 0x0a, 0xdc, 0x39, 0xb5, 0xf6, 0xfb, 0x4c, 0x25, 0x3c, 0xc5, 0x57, 0x50, 0x1d,
	0x31, 0x35, 0xe0, 0x31, 0x25, 0x1d, 0xd2, 0x6d, 0xee, 0x76, 0x7b, 0x73, 0xb3, 0x7b, 0x2e, 0xf3,
	0xc4, 0xc4, 0x07, 0x2e, 0x0f, 0x9b, 0x50, 0x49, 0x62, 0x5a, 0xe9, 0x90, 0x6e, 0x23, 0xa8, 0x24,
	0x31, 0xbe, 0x84, 0x7a, 0x14, 0x8a, 0xf8, 0xc3, 0x24, 0x63, 0xd4, 0x33, 0x35, 0xb7, 0x17, 0xd4,
	0x3c, 0x76, 0xa1, 0x41, 0x99, 0x84, 0x8f, 0xa0, 0xa1, 0xed, 0xb7, 0xa1, 0x54, 0xfb, 0x74, 0xd5,
	0xd4, 0xbd, 0x02, 0xb0, 0x05, 0x5e, 0x3f, 0x49, 0xe9, 0x9a, 0xc1, 0xb5, 0x89, 0x1d, 0x58, 0x67,
	0x97, 0x59, 0x22, 0x26, 0x27, 0x3c, 0x55, 0x03, 0x5a, 0x35, 0x5f, 0xae, 0x43, 0xb8, 0x05, 0x60,
	0xdd, 0x8f, 0x2c, 0x14, 0xb4, 0x66, 0x02, 0xae, 0x21, 0xd8, 0x86, 0xfa, 0x30, 0x94, 0xea, 0x5c,
	0xb2, 0x98, 0xd6, 0x3b, 0xa4, 0xeb, 0x05, 0xa5, 0xef, 0xb7, 0x81, 0xbe, 0x61, 0x6a, 0x4a, 0x34,
	0x19, 0xb0, 0xaf, 0x39, 0x93, 0xca, 0xbf, 0x80, 0xcd, 0x7f, 0x7c, 0x93, 0x19, 0x4f, 0x25, 0xc3,
	0x23, 0xa8, 0x71, 0x0b, 0x51, 0xd2, 0xf1, 0xba, 0xeb, 0xb7, 0x91, 0xd6, 0xd6, 0x08, 0x8a, 0x44,
	0xff, 0x27, 0x81, 0xe6, 0x61, 0x1c, 0x6b, 0x91, 0xdc, 0x9b, 0xf8, 0x00, 0xaa, 0x5a, 0x8c, 0x77,
	0xdc, 0x0c, 0xac, 0x11, 0x38, 0x0f, 0xbb, 0xb0, 0xa1, 0xad, 0xd7, 0xd7, 0x94, 0xb0, 0x33, 0x99,
	0x85, 0xf1, 0x29, 0x34, 0xaf, 0x20, 0xa3, 0x88, 0x67, 0x02, 0x67, 0x50, 0xa4, 0x50, 0xd3, 0xc8,
	0xf1, 0x78, 0xec, 0xa6, 0x50, 0xb8, 0xc5, 0x97, 0xd3, 0x72, 0x0e, 0x85, 0xeb, 0xff, 0x26, 0xb0,
	0x51, 0x12, 0x76, 0x42, 0x50, 0xa8, 0x8d, 0x98, 0x94, 0xe1, 0x17, 0xe6, 0x28, 0x17, 0xae, 0xee,
	0x25, 0x8c, 0x74, 0xa7, 0x8e, 0xaa, 0xf3, 0xf0, 0x31, 0x80, 0xb5, 0x2e, 0x72, 0x31, 0x74, 0xec,
	0x1a, 0x16, 0x39, 0x17, 0x43, 0xbd, 0x20, 0x82, 0x7d, 0x66, 0x82, 0xa5, 0x11, 0x2b, 0x16, 0xa4,
	0x04, 0xf0, 0x05, 0xac, 0x6a, 0x36, 0x86, 0xd9, 0x32, 0xa2, 0x9b, 0x2c, 0x7f, 0x08, 0x5b, 0x67,
	0x79, 0x7f, 0x94, 0x28, 0xdd, 0xc2, 0x61, 0xae, 0x06, 0x5c, 0x24, 0xdf, 0x42, 0x13, 0x70, 0x35,
	0x00, 0x47, 0x9a, 0x4c, 0x91, 0xbe, 0x0f, 0x6b, 0xe3, 0x70, 0x98, 0x33, 0xd7, 0x8b, 0x75, 0xa6,
	0xb9, 0x7a, 0x33, 0x5c, 0xfd, 0x03, 0xd8, 0x74, 0x6a, 0x1d, 0x4d, 0x82, 0x02, 0x2d, 0x1e, 0x9a,
	0x4a, 0x25, 0x33, 0xa9, 0x3b, 0xdb, 0xe5, 0x25, 0xdb, 0x7b, 0xc4, 0xba, 0xee, 0x5b, 0x0e, 0x5a,
	0x2b, 0xd6, 0x12, 0x71, 0x8b, 0xec, 0x3c, 0x81, 0x7a, 0x71, 0x60, 0x1a, 0x1d, 0x27, 0x32, 0x6c,
	0xad, 0x60, 0x13, 0x60, 0x14, 0x4a, 0xc5, 0x84, 0x8d, 0xda, 0xfd, 0xe3, 0x41, 0xd3, 0xd5, 0x3a,
	0x63, 0x62, 0x9c, 0x44, 0x0c, 0xbf, 0x13, 0xb8, 0x7b, 0x63, 0xb5, 0x71, 0x6f, 0x81, 0x98, 0xf3,
	0x8e, 0xa4, 0xbd, 0xbf, 0x5c, 0x92, 0x5d, 0x1a, 0x7f, 0x05, 0xfb, 0x50, 0x73, 0xda, 0xe0, 0xb3,
	0x05, 0x25, 0xa6, 0xcf, 0xa3, 0xbd, 0x73, 0x9b, 0xd0, 0xf2, 0x8d, 0x1f, 0x04, 0x1e, 0xce, 0x19,
	0x37, 0x1e, 0x2c, 0xa8, 0xb4, 0x78, 0x45, 0x96, 0x24, 0x71, 0x09, 0x78, 0x73, 0x09, 0x70, 0xff,
	0xff, 0x35, 0x6e, 0xee, 0xcc, 0x72, 0x2f, 0x1f, 0xd5, 0x3e, 0xad, 0x99, 0xbf, 0x8c, 0x7e, 0xd5,
	0xfc, 0xec, 0xfd, 0x0d, 0x00, 0x00, 0xff, 0xff, 0x45, 0xb0, 0x4d, 0x80, 0x50, 0x06, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// PaymentServiceClient is the client API for PaymentService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type PaymentServiceClient interface {
	GetPaymentOptions(ctx context.Context, in *GetPaymentOptionsRequest, opts ...grpc.CallOption) (*GetPaymentOptionsResponse, error)
	AddCard(ctx context.Context, in *AddCardRequest, opts ...grpc.CallOption) (*AddCardResponse, error)
	SubmitCardAuthorization(ctx context.Context, in *SubmitCardAuthorizationRequest, opts ...grpc.CallOption) (*AddCardResponse, error)
	AddCardByReference(ctx context.Context, in *AddCardByReferenceRequest, opts ...grpc.CallOption) (*AddCardResponse, error)
}

type paymentServiceClient struct {
	cc *grpc.ClientConn
}

func NewPaymentServiceClient(cc *grpc.ClientConn) PaymentServiceClient {
	return &paymentServiceClient{cc}
}

func (c *paymentServiceClient) GetPaymentOptions(ctx context.Context, in *GetPaymentOptionsRequest, opts ...grpc.CallOption) (*GetPaymentOptionsResponse, error) {
	out := new(GetPaymentOptionsResponse)
	err := c.cc.Invoke(ctx, "/com.connectroutes.payment.PaymentService/GetPaymentOptions", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *paymentServiceClient) AddCard(ctx context.Context, in *AddCardRequest, opts ...grpc.CallOption) (*AddCardResponse, error) {
	out := new(AddCardResponse)
	err := c.cc.Invoke(ctx, "/com.connectroutes.payment.PaymentService/AddCard", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *paymentServiceClient) SubmitCardAuthorization(ctx context.Context, in *SubmitCardAuthorizationRequest, opts ...grpc.CallOption) (*AddCardResponse, error) {
	out := new(AddCardResponse)
	err := c.cc.Invoke(ctx, "/com.connectroutes.payment.PaymentService/SubmitCardAuthorization", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *paymentServiceClient) AddCardByReference(ctx context.Context, in *AddCardByReferenceRequest, opts ...grpc.CallOption) (*AddCardResponse, error) {
	out := new(AddCardResponse)
	err := c.cc.Invoke(ctx, "/com.connectroutes.payment.PaymentService/AddCardByReference", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// PaymentServiceServer is the server API for PaymentService service.
type PaymentServiceServer interface {
	GetPaymentOptions(context.Context, *GetPaymentOptionsRequest) (*GetPaymentOptionsResponse, error)
	AddCard(context.Context, *AddCardRequest) (*AddCardResponse, error)
	SubmitCardAuthorization(context.Context, *SubmitCardAuthorizationRequest) (*AddCardResponse, error)
	AddCardByReference(context.Context, *AddCardByReferenceRequest) (*AddCardResponse, error)
}

// UnimplementedPaymentServiceServer can be embedded to have forward compatible implementations.
type UnimplementedPaymentServiceServer struct {
}

func (*UnimplementedPaymentServiceServer) GetPaymentOptions(ctx context.Context, req *GetPaymentOptionsRequest) (*GetPaymentOptionsResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetPaymentOptions not implemented")
}
func (*UnimplementedPaymentServiceServer) AddCard(ctx context.Context, req *AddCardRequest) (*AddCardResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method AddCard not implemented")
}
func (*UnimplementedPaymentServiceServer) SubmitCardAuthorization(ctx context.Context, req *SubmitCardAuthorizationRequest) (*AddCardResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SubmitCardAuthorization not implemented")
}
func (*UnimplementedPaymentServiceServer) AddCardByReference(ctx context.Context, req *AddCardByReferenceRequest) (*AddCardResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method AddCardByReference not implemented")
}

func RegisterPaymentServiceServer(s *grpc.Server, srv PaymentServiceServer) {
	s.RegisterService(&_PaymentService_serviceDesc, srv)
}

func _PaymentService_GetPaymentOptions_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetPaymentOptionsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PaymentServiceServer).GetPaymentOptions(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.connectroutes.payment.PaymentService/GetPaymentOptions",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PaymentServiceServer).GetPaymentOptions(ctx, req.(*GetPaymentOptionsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PaymentService_AddCard_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AddCardRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PaymentServiceServer).AddCard(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.connectroutes.payment.PaymentService/AddCard",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PaymentServiceServer).AddCard(ctx, req.(*AddCardRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PaymentService_SubmitCardAuthorization_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SubmitCardAuthorizationRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PaymentServiceServer).SubmitCardAuthorization(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.connectroutes.payment.PaymentService/SubmitCardAuthorization",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PaymentServiceServer).SubmitCardAuthorization(ctx, req.(*SubmitCardAuthorizationRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PaymentService_AddCardByReference_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AddCardByReferenceRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PaymentServiceServer).AddCardByReference(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.connectroutes.payment.PaymentService/AddCardByReference",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PaymentServiceServer).AddCardByReference(ctx, req.(*AddCardByReferenceRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _PaymentService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "com.connectroutes.payment.PaymentService",
	HandlerType: (*PaymentServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "GetPaymentOptions",
			Handler:    _PaymentService_GetPaymentOptions_Handler,
		},
		{
			MethodName: "AddCard",
			Handler:    _PaymentService_AddCard_Handler,
		},
		{
			MethodName: "SubmitCardAuthorization",
			Handler:    _PaymentService_SubmitCardAuthorization_Handler,
		},
		{
			MethodName: "AddCardByReference",
			Handler:    _PaymentService_AddCardByReference_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "proto/payment.proto",
}
